<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_is_connected" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_isConnected - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: bool krui_isConnected(int);
/*****************************************************************************
  FUNCTION : ann_is_connected
  
  RETURNS  :
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_is_connected</refname>

    <refpurpose>
        Checks if there exists a connection between source unit
        {source_unit_id} and the current unit/site.
    </refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[is_connected] = ann_is_connected(network, source_unit_id);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>source_unit_id</term>

        <listitem>
          <para>Id of the source unit.</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>

  <refsection>
    <title>Output parameters</title>

    <variablelist>
      <varlistentry>
        <term>is_connected</term>

        <listitem>
          <para>
            True if there exists a connection between source unit
            {source_unit_id} and the current unit/site, otherwise False.
          </para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>
        If there exists a connection between the two units, the current link is
        set to the link between the two units. (alter the link weight with
        ann_set_link_weight)
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
